Subject: Re: [Cfrg] would it be a good idea for CFRG to try review algorithm documents?

From: "Blumenthal, Uri - 0553 - MITLL" <[email-masked]>
Date: Fri, 11 Dec 2015 18:00:59 +0000

AFAIK, there were no attacks on "Magma" that even approach practicality. Its large number of ‎rounds prevents any differential from surviving far enough to be meaningful (I know, I tried :). I'll try to dig your pointers and re-evaluate.

Thanks!

Sent from my BlackBerry 10 smartphone on the Verizon Wireless 4G LTE network.
  Original Message  
From: Tom Ritter
Sent: Friday, December 11, 2015 12:03
To: Blumenthal, Uri - 0553 - MITLL
Cc: Björn Edström; Stephen Farrell; [email-masked]; Nevil Brownlee
Subject: Re: [Cfrg] would it be a good idea for CFRG to try review algorithm documents?
‎
On 10 December 2015 at 09:00, Blumenthal, Uri - 0553 - MITLL
<[email-masked]> wrote:
> GOST has been reviewed and analyzed by the cryptographic community
> (academia included) for ages (well, decades, really). I’ve seen several
> publications. As I recall, the only significant weakness found was related
> to related-keys <pun intended :>. Of course it uses 64-bit blocks in the
> world where (most) everybody embraced 128-bit, and some toy with 256-bit
> block ciphers.
‎
I thought there were several slide attacks on GOST (I assume the old
'Magma' version, but I am unsure) that significantly weaken it from
it's purported keylength (but are still not computable breaks.) I
believe they kicked off with Isobe's paper in 2011[0] and then were
improved by a number of people e.g. [1].

-tom

[0] https://www.iacr.org/archive/fse2011/67330297/67330297.pdf
[1] https://eprint.iacr.org/2011/558.pdf